Subject: Re: [BEHAVE] Transport protocols in TURN

From: Philip Matthews <[email-masked]>
Date: Sat, 27 Jun 2009 09:15:32 -0400

As part of the final cleanup of TURN before publication, Magnus (who  
is the shepherding AD for TURN) has urged me to address the issue of  
what transport protocols an implementation should support, as first  
raised by Marc below.

So I am proposing to add the following sentence to the specification  
(in section 4):

     To ensure interoperability, a TURN server MUST support the use of  
UDP transport
     between the client and the server, and SHOULD support the use of  
TCP and TLS transport.

Note that this sentence only talks about the server; in my opinion, we  
don't need to say anything about the client.

Please reply to the list indicating whether or not you (a) feel some  
specification in this area is required, and (b) whether you like the  
above sentence or would prefer to see something else.

- Philip

On Tue, 5-May-09, at 15:09 , Marc Petit-Huguenin wrote:

> I cannot find in turn-14 what transport protocols are mandatory to
> implement.  Only one sentence in a non-normative section would
> implies that the rules are the same than RFC 5389 (UDP and TCP
> mandatory, TLS optional):
>
> Section 2.1, 5th paragraph: "TURN does not require TLS because..."
>
> I think that there should be some normative text about this.
>
> Thanks.
>
> -- 
> Marc Petit-Huguenin
> Home: [email-masked]
> Work: [email-masked]
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Sat, 27 Jun 2009 07:04:35 -0700

Philip Matthews wrote:
> As part of the final cleanup of TURN before publication, Magnus (who is
> the shepherding AD for TURN) has urged me to address the issue of what
> transport protocols an implementation should support, as first raised by
> Marc below.
> 
> So I am proposing to add the following sentence to the specification (in
> section 4):
> 
>     between the client and the server, and SHOULD support the use of TCP
> and TLS transport.
> 
> specification in this area is required, 

Yes.

> and (b) whether you like the

I would prefer to have TURN aligned with STUN:

"To ensure interoperability, a TURN server MUST support the use of
UDP and TCP transports between the client and the server, and MAY
support the use of TLS transport."

Well, if it was up to me I would say MUST for all 3 transports (as
TLS is the only way to use a TURN server if the NAT is really messed
up), but I guess that we will never have consensus on this one.